/*
 * @Author: zc
 * @description 数据统计-部门数据统计
 */
import request from '@/utils/request';
/**
 * @description 部门数据统计列表查询
 * @param {object} params
 */
export const departmentList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/org_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 中心统计列表查询
 * @param {object} params
 */
export const centerList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/centre_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门不满意统计
 * @param {object} params
 */
export const departmentUnsatisfied = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-nosatisfied`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门不满意统计明细
 * @param {object} params
 */
export const departmentUnsatisfiedDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-nosatisfied-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门延期统计
 * @param {object} params
 */
export const departmentDelay = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order-delay-data-list`,
		method: 'get',
		params,
	});
};
/**
 * @description 特提统计
 * @param {object} params
 */
export const departmentSpecial = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/special_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 特提统计明细
 * @param {object} params
 */
export const departmentSpecialDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/special_data_list/list`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点类型统计
 * @param {object} params
 */
export const departmentHot = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotspot_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门热点类型统计
 * @param {object} params
 */
export const departmentHotDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotport-org-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 受理量前十
 * @param {object} params
 */
export const departmentTopTen = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/accept_type_top10_list`,
		method: 'get',
		params,
	});
}